Subject: Re: linux-next: duplicate patches in the tip tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 26 Mar 2025 08:47:56 +1100

Hi all,

On Tue, 11 Mar 2025 15:08:47 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> The following commits are also in the mm tree as different commits
> (but the same patches):
> 
>   0b3bc3354eb9 ("arm64: vdso: Switch to generic storage implementation")
>   127b0e05c166 ("vdso: Rename included Makefile")
>   30533a55ec8e ("parisc: Remove unused symbol vdso_data")
>   31e9fa2ba9ad ("arm: vdso: Switch to generic storage implementation")
>   365841e1557a ("vdso: Add generic architecture-specific data storage")
>   3ef32d90cdaa ("x86/vdso: Fix latent bug in vclock_pages calculation")
>   46fe55b204bf ("riscv: vdso: Switch to generic storage implementation")
>   51d6ca373f45 ("vdso: Add generic random data storage")
>   5b47aba85810 ("vdso: Introduce vdso/align.h")
>   69896119dc9d ("MIPS: vdso: Switch to generic storage implementation")
>   9729dceab17b ("x86/vdso/vdso2c: Remove page handling")
>   998a8a260819 ("vdso: Remove remnants of architecture-specific random state storage")
>   ac1a42f4e4e2 ("vdso: Remove remnants of architecture-specific time storage")
>   d2862bb9d9ca ("LoongArch: vDSO: Switch to generic storage implementation")
>   dafde29605eb ("x86/vdso: Switch to generic storage implementation")
>   df7fcbefa710 ("vdso: Add generic time data storage")

Those patches are now in Linus' tree.

> These are causing the following conflicts:
> 
> CONFLICT (content): Merge conflict in arch/arm64/include/asm/vdso/compat_gettim
> ofday.h
> CONFLICT (content): Merge conflict in arch/arm64/include/asm/vdso/vsyscall.h
> CONFLICT (content): Merge conflict in arch/powerpc/include/asm/vdso/gettimeofday.h
> CONFLICT (content): Merge conflict in arch/s390/kernel/time.c
> CONFLICT (content): Merge conflict in arch/x86/include/asm/vdso/gettimeofday.h
> CONFLICT (content): Merge conflict in include/asm-generic/vdso/vsyscall.h
> CONFLICT (content): Merge conflict in include/vdso/datapage.h
> CONFLICT (content): Merge conflict in include/vdso/helpers.h
> CONFLICT (content): Merge conflict in kernel/time/namespace.c
> CONFLICT (content): Merge conflict in kernel/time/vsyscall.c
> CONFLICT (add/add): Merge conflict in lib/vdso/datastore.c
> CONFLICT (content): Merge conflict in lib/vdso/gettimeofday.c

The duplicates in the mm-unstable branch of the mm tree are

  93b9079e691e ("vdso: remove remnants of architecture-specific time storage")
  82d8b6446a79 ("vdso: remove remnants of architecture-specific random state storage")
  f37aec9ec784 ("x86/vdso/vdso2c: remove page handling")
  dd2e8659933d ("x86/vdso: switch to generic storage implementation")
  9ac741560b0b ("powerpc/vdso: switch to generic storage implementation")
  4ca30cfeffb7 ("MIPS: vdso: switch to generic storage implementation")
  b9e3ec578ed5 ("s390/vdso: switch to generic storage implementation")
  64ed071644a8 ("arm: vdso: switch to generic storage implementation")
  af0452ad92f5 ("LoongArch: vDSO: switch to generic storage implementation")
  f3f0b0bb602e ("riscv: vdso: switch to generic storage implementation")
  74100951337a ("arm64: vdso: switch to generic storage implementation")
  08652b7a1b59 ("vdso: add generic architecture-specific data storage")
  0ab86f7ece6f ("vdso: add generic random data storage")
  f3b11eb27436 ("vdso: add generic time data storage")
  4559a06ae7c1 ("vdso: rename included Makefile")
  0f187d7ac318 ("vdso: introduce vdso/align.h")
  2d1b4965384c ("parisc: remove unused symbol vdso_data")
  837f2f1a07ad ("x86/vdso: fix latent bug in vclock_pages calculation")

-- 
Cheers,
Stephen Rothwell